using APT.Infrastructure.Core;
using System;
using APT.Infrastructure.Utility;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("菜单表(租户平台)")]
    [Redis("NUM", "ID")]
    public partial class T_OP_MENU : TreeEntityBase<T_OP_MENU>
    {

        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("名称首字母缩写")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string NAME_ACRONYM { get; set; }

        [Description("菜单表单参数")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string MENU_FORM_PARAMS { get; set; }


        [Description("等级")]
        [FormFieldTable]
        [FormFieldEdit]
       
        public int MENU_LEVEL { get; set; }

        [Description("图标")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string ICON { get; set; }


        [Description("顺序")]
        [FormFieldTable]
        [FormFieldEdit]

        public int NUM { get; set; }

        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }


        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string REMARK { get; set; }

        [DataFieldForeignKey("Nav_MenuForm")]
        [Description("菜单表单ID")]
        [FormFieldEdit]
        public Guid? MENU_FORM_ID { get; set; }
        public virtual T_PF_FORM Nav_MenuForm { get; set; }
    }
}
